Module org.hdfgroup.hdfview
Package hdf.view.DataView

# Class DataViewFactory

Object
hdf.view.DataView.DataViewFactory

Direct Known Subclasses:
  `ImageViewFactory`, `MetaDataViewFactory`, `PaletteViewFactory`, `TableViewFactory`, `TreeViewFactory`

public abstract class DataViewFactory extends Object
The data view factory interface for displaying data objects

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataViewFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract ImageView`
  `getImageView(DataViewManager viewer, HashMap dataPropertiesMap)`
  Get an instance of ImageView given the appropriate constructor parameters
  `abstract MetaDataView`
  `getMetaDataView(org.eclipse.swt.widgets.Composite parent, DataViewManager viewer, HObject theObj)`
  Get an instance of MetaDataView given the appropriate constructor parameters
  `abstract PaletteView`
  `getPaletteView(org.eclipse.swt.widgets.Shell parent, DataViewManager viewer, ImageView theImageView)`
  Get an instance of PaletteView given the appropriate constructor parameters
  `abstract TableView`
  `getTableView(DataViewManager viewer, HashMap dataPropertiesMap)`
  Get an instance of TableView given the appropriate constructor parameters
  `abstract TreeView`
  `getTreeView(org.eclipse.swt.widgets.Composite parent, DataViewManager viewer)`
  Get an instance of TreeView given the appropriate constructor parameters

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DataViewFactory

    public DataViewFactory()

- ## Method Details

  - ### getTableView

    public abstract TableView getTableView(DataViewManager viewer, HashMap dataPropertiesMap) throws ClassNotFoundException
    Get an instance of TableView given the appropriate constructor parameters
    Parameters:
      `viewer` - The data view manager
      `dataPropertiesMap` - The properties for the table view
    Returns:
      the table view.
    Throws:
      `ClassNotFoundException` - If there is an error getting the class for a table view.

  - ### getImageView

    public abstract ImageView getImageView(DataViewManager viewer, HashMap dataPropertiesMap) throws ClassNotFoundException
    Get an instance of ImageView given the appropriate constructor parameters
    Parameters:
      `viewer` - The data view manager
      `dataPropertiesMap` - The properties for the image view
    Returns:
      the image view.
    Throws:
      `ClassNotFoundException` - If there is an error getting the class for a image view.

  - ### getPaletteView

    public abstract PaletteView getPaletteView(org.eclipse.swt.widgets.Shell parent, DataViewManager viewer, ImageView theImageView) throws ClassNotFoundException
    Get an instance of PaletteView given the appropriate constructor parameters
    Parameters:
      `parent` - The parent shell for the palette view
      `viewer` - The data view manager
      `theImageView` - The image view for the palette view
    Returns:
      the palette view.
    Throws:
      `ClassNotFoundException` - If there is an error getting the class for a palette view.

  - ### getMetaDataView

    public abstract MetaDataView getMetaDataView(org.eclipse.swt.widgets.Composite parent, DataViewManager viewer, HObject theObj) throws ClassNotFoundException
    Get an instance of MetaDataView given the appropriate constructor parameters
    Parameters:
      `parent` - The parent composite for the maetadata view
      `viewer` - The data view manager
      `theObj` - The object for the metadata view
    Returns:
      the metadata view.
    Throws:
      `ClassNotFoundException` - If there is an error getting the class for a metadata view.

  - ### getTreeView

    public abstract TreeView getTreeView(org.eclipse.swt.widgets.Composite parent, DataViewManager viewer) throws ClassNotFoundException
    Get an instance of TreeView given the appropriate constructor parameters
    Parameters:
      `parent` - The parent composite for the tree view
      `viewer` - The data view manager
    Returns:
      the tree view.
    Throws:
      `ClassNotFoundException` - If there is an error getting the class for a tree view.